/* Generated by gen_opening.  */

opening_info opening_data[] = {
	{ N_("None"), 1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0, -1,  1,  0,  0,  0, 
	    0,  0,  0,  1, -1,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  0, "" },
	{ N_("Diagonal Opening"), 1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0, -1,  0,  0,  0,  0,  0, 
	    0,  0,  1, -1,  1,  0,  0,  0, 
	    0,  0,  0,  1, -1,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  2, "\x1a\x12" },
	{ N_("X-square Opening"), -1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  1,  0,  0,  0,  0,  0,  0, 
	    0,  0,  1,  1,  0,  0,  0,  0, 
	    0,  0, -1,  1,  1,  0,  0,  0, 
	    0,  0, -1, -1, -1,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  5, "\x1a\x12\x13\x22\x09" },
	{ N_("Snake, Peasant"), -1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  1,  1,  1,  0,  0,  0,  0, 
	    0,  0, -1,  1,  1,  0,  0,  0, 
	    0,  0, -1, -1, -1,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  5, "\x1a\x12\x13\x22\x11" },
	{ N_("Pyramid, Checkerboarding Peasant"), -1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  1,  1,  1,  0,  0,  0,  0, 
	    0, -1,  1, -1,  1, -1,  0,  0, 
	    0,  1,  1,  1,  1,  1,  0,  0, 
	    0,  0,  1, -1,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  11, "\x1a\x12\x13\x22\x11\x1d\x21\x19\x2a\x2b\x25" },
	{ N_("Heath, Tobidashi \"Jumping Out\""), -1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0, -1,  1,  0,  0,  0,  0, 
	    0,  1,  1,  1,  1,  0,  0,  0, 
	    0,  0, -1, -1, -1,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  5, "\x1a\x12\x13\x22\x19" },
	{ N_("Mimura variation II"), -1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  1, -1,  0,  0,  0,  0, 
	    0,  0,  1,  1,  0,  0,  0,  0, 
	    0,  1,  1,  1,  1, -1,  0,  0, 
	    0,  0,  1,  1,  1,  1,  0,  0, 
	    0,  0, -1, -1,  1,  0,  0,  0, 
	    0,  0,  0,  0,  0,  1,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  13, "\x1a\x12\x13\x22\x19\x0b\x0a\x1d\x2b\x2a\x25\x2c\x35" },
	{ N_("Heath-Bat"), -1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0, -1,  0,  0,  0,  0, 
	    0,  0, -1, -1,  0,  0,  0,  0, 
	    0,  1,  1, -1,  1,  0,  0,  0, 
	    0,  0,  1, -1, -1,  0,  0,  0, 
	    0,  0,  0,  1,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  7, "\x1a\x12\x13\x22\x19\x0b\x2b" },
	{ N_("Iwasaki variation"), -1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0, -1,  1,  0,  0,  0, 
	    0,  0, -1,  1,  0,  0,  0,  0, 
	    0,  1,  1, -1,  1,  0,  0,  0, 
	    0,  0, -1, -1, -1,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  7, "\x1a\x12\x13\x22\x19\x0b\x0c" },
	{ N_("Heath-Chimney, \"Mass-Turning\""), 1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0, -1, -1, -1,  0,  0,  0, 
	    0,  1,  1, -1, -1,  0,  0,  0, 
	    0,  0, -1, -1, -1,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  6, "\x1a\x12\x13\x22\x19\x14" },
	{ N_("Raccoon Dog"), -1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0, -1,  1,  0,  0,  0,  0, 
	    0,  0,  1,  1,  1,  0,  0,  0, 
	    0,  1, -1, -1, -1,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  5, "\x1a\x12\x13\x22\x21" },
	{ N_("Hamilton"), -1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0, -1,  1,  0,  0,  0,  0, 
	    0,  0,  1,  1,  1,  0,  0,  0, 
	    0,  1, -1, -1, -1,  0,  0,  0, 
	    0,  1, -1,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  7, "\x1a\x12\x13\x22\x29\x2a\x21" },
	{ N_("Lollipop"), 1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0, -1, -1, -1,  0,  0,  0, 
	    0,  0, -1,  1, -1,  0,  0,  0, 
	    0,  0,  1, -1, -1,  0,  0,  0, 
	    0,  1,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  6, "\x1a\x12\x13\x22\x29\x14" },
	{ N_("Cow"), -1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0, -1,  1,  0,  0,  0,  0, 
	    0,  0, -1,  1,  1,  0,  0,  0, 
	    0,  0, -1,  1, -1,  0,  0,  0, 
	    0,  0,  0,  1,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  5, "\x1a\x12\x13\x22\x2b" },
	{ N_("Chimney"), 1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0, -1, -1, -1,  0,  0,  0, 
	    0,  0, -1, -1, -1,  0,  0,  0, 
	    0,  0, -1,  1, -1,  0,  0,  0, 
	    0,  0,  0,  1,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  6, "\x1a\x12\x13\x22\x2b\x14" },
	{ N_("Cow Bat, Bat, Cambridge"), -1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0, -1,  1,  0,  0,  0,  0, 
	    0,  1, -1, -1, -1, -1,  0,  0, 
	    0,  0,  1,  1, -1,  0,  0,  0, 
	    0,  0,  0,  1,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  7, "\x1a\x12\x13\x22\x2b\x1d\x19" },
	{ N_("Bat (Piau Continuation 2)"), -1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  1,  1,  1,  0,  0,  0,  0, 
	    0,  1, -1, -1, -1, -1,  0,  0, 
	    0,  1, -1, -1, -1,  0,  0,  0, 
	    0, -1, -1,  1,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  11, "\x1a\x12\x13\x22\x2b\x1d\x19\x29\x21\x2a\x11" },
	{ N_("Melnikov, Bat (Piau Continuation 1)"), -1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0, -1,  1,  0,  0,  0,  0, 
	    0,  1, -1, -1,  1, -1,  0,  0, 
	    0,  1,  1,  1,  1,  1,  0,  0, 
	    0, -1, -1,  1,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  11, "\x1a\x12\x13\x22\x2b\x1d\x19\x29\x21\x2a\x25" },
	{ N_("Bat (Kling Continuation)"), -1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  1,  1,  0,  0,  0,  0, 
	    0, -1,  1,  1, -1,  0,  0,  0, 
	   -1,  1, -1,  1, -1, -1,  0,  0, 
	   -1, -1,  1,  1, -1,  0,  0,  0, 
	   -1,  1,  1,  1,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  17, "\x1a\x12\x13\x22\x2b\x1d\x19\x2a\x21\x11\x29\x14\x0a\x18\x20\x28\x0b" },
	{ N_("Bat (Kling Alternative)"), -1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  1, -1, -1, -1,  0,  0,  0, 
	    0,  1,  1, -1, -1, -1,  0,  0, 
	    0,  0,  1,  1, -1,  0,  0,  0, 
	    0,  0,  0,  1,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  9, "\x1a\x12\x13\x22\x2b\x1d\x19\x14\x11" },
	{ N_("Rose-v-Toth"), -1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0, -1,  1,  0,  0,  0,  0, 
	    0,  0, -1, -1,  1, -1,  0,  0, 
	    0,  0, -1,  1,  1,  1,  0,  0, 
	    0,  0,  0,  1,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  7, "\x1a\x12\x13\x22\x2b\x1d\x25" },
	{ N_("Tanida"), 1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0, -1,  0,  0,  0,  0, 
	    0,  0, -1, -1,  0,  0,  0,  0, 
	    0,  0, -1, -1,  1, -1,  0,  0, 
	    0,  0, -1,  1,  1,  1,  0,  0, 
	    0,  0,  0,  1,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  8, "\x1a\x12\x13\x22\x2b\x1d\x25\x0b" },
	{ N_("Aircraft, Feldborg"), -1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0, -1,  0,  0,  0,  0, 
	    0,  0, -1, -1,  0,  0,  0,  0, 
	    0,  0, -1, -1,  1, -1,  0,  0, 
	    0,  1,  1,  1,  1,  1,  0,  0, 
	    0,  0,  0,  1,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  9, "\x1a\x12\x13\x22\x2b\x1d\x25\x0b\x21" },
	{ N_("Sailboat"), 1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0, -1,  0,  0,  0,  0, 
	    0,  0, -1, -1,  0,  0,  0,  0, 
	    0,  0, -1, -1,  1,  1,  1,  0, 
	    0,  0, -1, -1,  1,  1,  0,  0, 
	    0,  0,  0, -1,  0,  0,  0,  0, 
	    0,  0,  0, -1,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  10, "\x1a\x12\x13\x22\x2b\x1d\x25\x0b\x1e\x33" },
	{ N_("Maruoka"), 1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0, -1,  1,  0,  0,  0,  0, 
	    0,  0, -1, -1,  1, -1,  0,  0, 
	    0,  0, -1, -1,  1,  1,  0,  0, 
	    0,  0,  1, -1, -1,  0,  0,  0, 
	    0,  0,  0, -1,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  10, "\x1a\x12\x13\x22\x2b\x1d\x25\x2c\x2a\x33" },
	{ N_("Landau"), -1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0, -1,  1,  0,  0,  0,  0, 
	    0,  0, -1, -1,  1, -1,  0,  0, 
	    0,  0, -1, -1,  1,  1,  0,  0, 
	    0,  0,  0,  1,  1,  1,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  9, "\x1a\x12\x13\x22\x2b\x1d\x25\x2c\x2d" },
	{ N_("Buffalo, Kenichi Variation"), -1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0, -1,  1,  0,  0,  0,  0, 
	    0,  0, -1,  1,  1,  0,  0,  0, 
	    0,  0, -1, -1,  1,  0,  0,  0, 
	    0,  0,  0,  0,  0,  1,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  5, "\x1a\x12\x13\x22\x2d" },
	{ N_("Maruoka Buffalo"), -1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0, -1,  0,  0,  0, 
	    0,  0, -1, -1,  0,  0,  0,  0, 
	    0,  0, -1,  1,  1,  0,  0,  0, 
	    0,  0, -1,  1,  1,  0,  0,  0, 
	    0,  0,  1,  0,  0,  1,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  7, "\x1a\x12\x13\x22\x2d\x0c\x2a" },
	{ N_("Tanida Buffalo"), 1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0, -1, -1, -1,  0,  0,  0, 
	    0,  0, -1, -1, -1, -1,  0,  0, 
	    0,  0, -1, -1, -1, -1, -1,  0, 
	    0,  0,  1,  0,  0,  1,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  10, "\x1a\x12\x13\x22\x2d\x14\x2a\x25\x1d\x26" },
	{ N_("Hokuriku Buffalo"), 1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0, -1,  1,  0,  0,  0,  0, 
	    0,  0, -1,  1,  1,  0,  0,  0, 
	    0,  0, -1, -1, -1, -1,  0,  0, 
	    0,  0,  0,  0,  0,  1,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  6, "\x1a\x12\x13\x22\x2d\x25" },
	{ N_("Wing Variation"), 1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0, -1,  0,  0,  0,  0,  0, 
	    0,  0, -1, -1,  1,  0,  0,  0, 
	    0,  0, -1,  1,  1,  0,  0,  0, 
	    0,  0,  0,  0,  1,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  4, "\x1a\x12\x2c\x22" },
	{ N_("Semi-Wing Variation"), 1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0, -1,  0,  0,  0,  0,  0, 
	    0,  0, -1, -1,  1,  0,  0,  0, 
	    0,  0, -1,  1,  1,  1,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  4, "\x1a\x12\x25\x22" },
	{ N_("Parallel Opening"), 1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  1,  1,  1,  0,  0,  0, 
	    0,  0, -1, -1, -1,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  2, "\x1a\x22" },
	{ N_("Perpendicular Opening"), 1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0, -1,  0,  0,  0, 
	    0,  0,  1,  1, -1,  0,  0,  0, 
	    0,  0,  0,  1, -1,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  2, "\x1a\x14" },
	{ N_("Mimura"), 1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0, -1,  0,  0,  0, 
	    0,  0,  1, -1, -1,  1,  0,  0, 
	    0,  0, -1, -1, -1,  0,  0,  0, 
	    0,  0,  0,  1, -1,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  6, "\x1a\x14\x1d\x22\x2b\x2c" },
	{ N_("Shaman, Danish"), -1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0, -1, -1,  0,  0, 
	    0,  0,  1, -1, -1,  1,  0,  0, 
	    0,  0,  1, -1,  1,  0,  0,  0, 
	    0,  0,  1,  1,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  7, "\x1a\x14\x1d\x22\x2b\x15\x2a" },
	{ N_("Inoue"), -1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  1, -1, -1,  0,  0, 
	    0,  0,  1,  1, -1,  1,  0,  0, 
	    0,  0, -1,  1,  1,  0,  0,  0, 
	    0,  0,  0,  1,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  7, "\x1a\x14\x1d\x22\x2b\x15\x13" },
	{ N_("IAGO"), 1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0, -1, -1, -1, -1,  0,  0, 
	    0,  0, -1,  1, -1,  1,  0,  0, 
	    0,  0, -1,  1,  1,  0,  0,  0, 
	    0,  0,  0,  1,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  8, "\x1a\x14\x1d\x22\x2b\x15\x13\x12" },
	{ N_("Bhagat"), -1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  1,  0,  0,  0, 
	    0,  0,  0,  0,  1, -1,  0,  0, 
	    0,  0,  1, -1,  1,  1,  0,  0, 
	    0,  0, -1, -1,  1,  0,  0,  0, 
	    0,  0,  0,  1,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  7, "\x1a\x14\x1d\x22\x2b\x15\x0c" },
	{ N_("Rose"), 1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0, -1,  0,  0,  0, 
	    0,  0, -1, -1, -1, -1,  0,  0, 
	    0,  0, -1,  1, -1,  1,  0,  0, 
	    0,  0, -1,  1,  1,  0,  0,  0, 
	    0,  0,  0,  1,  1,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  10, "\x1a\x14\x1d\x22\x2b\x15\x2c\x12\x13\x0c" },
	{ N_("Flat"), -1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0, -1,  0,  0,  0, 
	    0,  0, -1, -1, -1, -1,  0,  0, 
	    0,  0, -1,  1, -1,  1,  0,  0, 
	    0,  1,  1,  1,  1,  0,  0,  0, 
	    0,  0,  0,  1,  1,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  11, "\x1a\x14\x1d\x22\x2b\x15\x2c\x12\x13\x0c\x21" },
	{ N_("Rotating Flat"), 1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0, -1,  0,  0,  0, 
	    0,  0, -1, -1, -1, -1,  0,  0, 
	    0,  0, -1,  1, -1, -1,  0,  0, 
	    0,  1,  1,  1,  1, -1,  0,  0, 
	    0,  0,  0,  1,  1,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  12, "\x1a\x14\x1d\x22\x2b\x15\x2c\x12\x13\x0c\x21\x25" },
	{ N_("Murakami Variation"), -1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0, -1,  0,  0,  0, 
	    0,  1, -1, -1, -1, -1,  0,  0, 
	    0,  0,  1,  1, -1, -1,  0,  0, 
	    0,  1,  1,  1,  1, -1,  0,  0, 
	    0,  0,  0,  1,  1,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  13, "\x1a\x14\x1d\x22\x2b\x15\x2c\x12\x13\x0c\x21\x25\x11" },
	{ N_("Rotating Flat (Kling Continuation)"), 1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  1,  1, -1,  0,  0,  0, 
	    0,  0,  1,  1, -1, -1,  0,  0, 
	    0,  1,  1,  1, -1, -1,  0,  0, 
	    0,  1,  1,  1, -1, -1,  0,  0, 
	    0,  0,  0, -1, -1, -1,  0,  0, 
	    0,  0, -1,  0, -1,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  18, "\x1a\x14\x1d\x22\x2b\x15\x2c\x12\x13\x0c\x21\x25\x19\x2d\x0a\x34\x0b\x32" },
	{ N_("Rose-Birth"), 1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0, -1,  0,  0,  0, 
	    0,  0, -1, -1, -1, -1,  0,  0, 
	    0,  0, -1,  1, -1, -1,  0,  0, 
	    0,  0,  1,  1,  1, -1,  0,  0, 
	    0,  1,  0,  1,  1,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  12, "\x1a\x14\x1d\x22\x2b\x15\x2c\x12\x13\x0c\x29\x25" },
	{ N_("Brightstein"), 1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0, -1,  0,  0,  0, 
	    0,  0, -1, -1, -1, -1,  0,  0, 
	    0,  1,  1, -1, -1, -1,  0,  0, 
	    0,  0,  1, -1,  1,  1,  1,  0, 
	    0,  1,  0, -1,  1, -1,  0,  0, 
	    0,  0,  0, -1,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  16, "\x1a\x14\x1d\x22\x2b\x15\x2c\x12\x13\x0c\x29\x25\x19\x2d\x26\x33" },
	{ N_("Rose-birdie, Rose-Tamenori"), -1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0, -1,  0,  0,  0, 
	    0,  0, -1, -1, -1, -1,  0,  0, 
	    0,  0, -1,  1, -1, -1,  0,  0, 
	    0,  0,  1,  1,  1,  1,  1,  0, 
	    0,  1,  0,  1,  1,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  13, "\x1a\x14\x1d\x22\x2b\x15\x2c\x12\x13\x0c\x29\x25\x26" },
	{ N_("Rose-Tamenori-Kling"), 1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0, -1,  0,  0,  0, 
	    0,  0, -1, -1, -1, -1,  0,  0, 
	    0,  0, -1, -1, -1, -1,  0,  0, 
	    0,  0,  1,  1, -1, -1,  1,  0, 
	    0,  1,  0,  1,  1, -1,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  14, "\x1a\x14\x1d\x22\x2b\x15\x2c\x12\x13\x0c\x29\x25\x26\x2d" },
	{ N_("Greenberg, Dawg"), -1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  1, -1,  0,  0,  0, 
	    0,  0, -1,  1,  1, -1,  0,  0, 
	    0,  0, -1,  1, -1,  1,  0,  0, 
	    0,  0, -1,  1,  1,  0,  0,  0, 
	    0,  0,  0,  1,  1,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  11, "\x1a\x14\x1d\x22\x2b\x15\x2c\x12\x13\x0c\x0b" },
	{ N_("Ralle"), 1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0, -1, -1,  0,  0, 
	    0,  0,  1, -1, -1,  1,  0,  0, 
	    0,  0, -1, -1,  1,  0,  0,  0, 
	    0,  0, -1,  1,  1,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  8, "\x1a\x14\x1d\x22\x2b\x15\x2c\x2a" },
	{ N_("Horse"), -1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0, -1,  0,  0,  0, 
	    0,  0,  1, -1,  1,  1,  0,  0, 
	    0,  0, -1,  1,  1,  0,  0,  0, 
	    0,  0,  0,  0,  1,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  5, "\x1a\x14\x1d\x22\x2c" },
	{ N_("No-Cat"), 1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0, -1,  0,  0,  0, 
	    0, -1, -1, -1, -1,  0,  0,  0, 
	    0,  0,  0,  1,  1,  1,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  4, "\x1a\x14\x25\x19" },
	{ N_("Swallow"), -1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0, -1,  1,  0,  0, 
	    0, -1, -1, -1,  1,  0,  0,  0, 
	    0,  0,  0,  1,  1,  1,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  5, "\x1a\x14\x25\x19\x15" },
	{ N_("No-Cat (Continuation)"), 1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  1,  0,  0,  0, 
	    0,  0,  0,  0,  1,  1,  0,  0, 
	    0, -1, -1, -1,  1,  1,  0,  0, 
	    0,  0,  0, -1,  1,  1,  1,  0, 
	    0,  0, -1, -1, -1, -1,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  12, "\x1a\x14\x25\x19\x15\x1d\x0c\x2c\x26\x2d\x2b\x2a" },
	{ N_("Italian"), -1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  1, -1,  0,  0,  0, 
	    0,  0,  1,  1,  1,  0,  0,  0, 
	    0,  0,  0,  1, -1,  1,  0,  0, 
	    0,  0,  0,  0, -1,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  5, "\x1a\x14\x25\x2c\x13" },
	{ N_("Cat"), -1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0, -1,  0,  0,  0, 
	    0,  0,  1,  1,  1,  1,  0,  0, 
	    0,  0,  0,  1, -1,  1,  0,  0, 
	    0,  0,  0,  0, -1,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  5, "\x1a\x14\x25\x2c\x1d" },
	{ N_("Sakaguchi"), 1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0, -1, -1,  0,  0, 
	    0,  0,  1, -1, -1,  1,  0,  0, 
	    0,  0, -1, -1,  1,  1,  0,  0, 
	    0,  0, -1, -1,  1,  0,  0,  0, 
	    0,  0,  0,  0,  0,  1,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  10, "\x1a\x14\x25\x2c\x1d\x22\x2b\x2a\x35\x15" },
	{ N_("Berner"), -1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0, -1,  0,  0,  0, 
	    0,  0,  1, -1,  1, -1,  0,  0, 
	    0,  0, -1, -1, -1,  1, -1,  0, 
	    0,  0, -1, -1,  1,  0,  1,  0, 
	    0,  0,  0,  0,  0,  1,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  11, "\x1a\x14\x25\x2c\x1d\x22\x2b\x2a\x35\x26\x2e" },
	{ N_("Ganglion"), 1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0, -1,  0,  0,  0, 
	    0, -1, -1, -1, -1,  0,  0,  0, 
	    0,  0,  0,  1,  1,  0,  0,  0, 
	    0,  0,  0,  0,  0,  1,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  4, "\x1a\x14\x2d\x19" },
	{ N_("Tiger"), -1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0, -1,  0,  0,  0, 
	    0,  0,  1,  1, -1,  0,  0,  0, 
	    0,  0,  0,  1,  1,  1,  0,  0, 
	    0,  0,  0,  0, -1,  1,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  5, "\x1a\x14\x2d\x2c\x25" },
	{ N_("Stephenson"), -1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  1,  0, -1,  0,  0,  0, 
	    0,  0,  1,  1, -1,  0,  0,  0, 
	    0,  0, -1,  1,  1,  1,  0,  0, 
	    0,  0,  0,  0, -1,  1,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  7, "\x1a\x14\x2d\x2c\x25\x22\x12" },
	{ N_("No-Kung"), 1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  1,  0, -1,  0,  0,  0, 
	    0, -1, -1, -1, -1,  0,  0,  0, 
	    0,  0, -1,  1,  1,  1,  0,  0, 
	    0,  0,  0,  0, -1,  1,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  8, "\x1a\x14\x2d\x2c\x25\x22\x12\x19" },
	{ N_("No-Kung (Continuation)"), 1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  1,  0, -1,  0,  0,  0, 
	    0, -1, -1, -1, -1,  0,  0,  0, 
	    0, -1, -1,  1,  1,  1,  0,  0, 
	   -1,  1, -1,  1,  1,  1,  0,  0, 
	    0,  0, -1,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  14, "\x1a\x14\x2d\x2c\x25\x22\x12\x19\x2b\x2a\x21\x28\x29\x32" },
	{ N_("COMP'OTH"), 1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  1,  0, -1,  0,  0,  0, 
	    0,  0,  1,  1, -1,  0,  0,  0, 
	    0,  0, -1, -1,  1,  1,  0,  0, 
	    0,  0, -1,  0, -1,  1,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  8, "\x1a\x14\x2d\x2c\x25\x22\x12\x2a" },
	{ N_("Kung"), 1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  1,  0, -1,  0,  0,  0, 
	    0,  0,  1,  1, -1,  0,  0,  0, 
	    0,  0, -1, -1, -1, -1, -1,  0, 
	    0,  0,  0,  0, -1,  1,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  8, "\x1a\x14\x2d\x2c\x25\x22\x12\x26" },
	{ N_("Leader's Tiger"), -1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  1, -1,  0,  0,  0, 
	    0,  0,  1,  1,  1,  0,  0,  0, 
	    0,  0, -1,  1,  1,  1,  0,  0, 
	    0,  0,  0,  0, -1,  1,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  7, "\x1a\x14\x2d\x2c\x25\x22\x13" },
	{ N_("Brightwell"), -1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0, -1,  0,  0,  0, 
	    0,  0,  1, -1, -1,  0,  0,  0, 
	    0,  0, -1,  1,  1,  1,  0,  0, 
	    0,  0,  0,  1,  1,  1,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  7, "\x1a\x14\x2d\x2c\x25\x22\x2b" },
	{ N_("Ishii"), -1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0, -1, -1, -1,  0,  0, 
	    0,  0,  1, -1, -1, -1,  1,  0, 
	    0,  0,  1, -1, -1, -1, -1,  0, 
	    0,  0,  1,  1,  1,  1,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  13, "\x1a\x14\x2d\x2c\x25\x22\x1d\x26\x1e\x15\x2a\x13\x2b" },
	{ N_("Mainline Tiger"), 1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  1,  0,  0,  0, 
	    0, -1,  1, -1,  1,  1,  0,  0, 
	    0, -1, -1, -1,  1, -1,  1,  0, 
	    0,  0, -1, -1,  1, -1, -1,  0, 
	    0, -1,  1,  1,  1,  1,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  18, "\x1a\x14\x2d\x2c\x25\x22\x1d\x26\x1e\x15\x2a\x13\x2b\x11\x12\x19\x0c\x29" },
	{ N_("Rose-BILL"), -1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0, -1,  0,  0,  0, 
	    0,  0,  1,  1,  1,  1,  0,  0, 
	    0,  0, -1,  1,  1,  1,  0,  0, 
	    0,  0,  0,  0,  1,  1, -1,  0, 
	    0,  0,  0,  0,  0,  1,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  9, "\x1a\x14\x2d\x2c\x25\x22\x1d\x2e\x35" },
	{ N_("Tamenori"), 1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0, -1, -1,  0,  0,  0, 
	    0,  0,  1,  1, -1,  1,  0,  0, 
	    0,  0, -1,  1,  1, -1,  0,  0, 
	    0,  0,  0,  0,  1,  1, -1,  0, 
	    0,  0,  0,  0,  0,  1,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  10, "\x1a\x14\x2d\x2c\x25\x22\x1d\x2e\x35\x13" },
	{ N_("Aubrey, Tanaka"), 1,
	  { 0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0, -1,  0,  0,  0, 
	    0,  0,  1,  1, -1,  0,  0,  0, 
	    0,  0,  0,  1,  1, -1,  0,  0, 
	    0,  0,  0,  0, -1, -1, -1,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0, 
	    0,  0,  0,  0,  0,  0,  0,  0  },
	  6, "\x1a\x14\x2d\x2c\x25\x2e" }
};

const int NUM_OPENING_DATA = 72;
